cURL
curl --request GET \
--url https://api.buildwithchirp.com/v1/organization/billing/records/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.buildwithchirp.com/v1/organization/billing/records/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.buildwithchirp.com/v1/organization/billing/records/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"app_id": "<string>",
"record_type": "<string>",
"provider": "<string>",
"product": "<string>",
"channel": "<string>",
"direction": "<string>",
"provider_record_id": "<string>",
"cost_amount": "<string>",
"cost_currency": "<string>",
"occurred_at": "<string>",
"synced_at": "<string>",
"created_at": "<string>",
"telnyx": {
"from_phone_number": "<string>",
"to_phone_number": "<string>",
"rate_amount": "<string>",
"carrier_fee_amount": "<string>",
"parts": 123,
"carrier_name": "<string>",
"country_code": "<string>",
"provider_status": "<string>"
},
"whatsapp": {
"pricing_category": "<string>",
"pricing_model": "<string>",
"pricing_type": "<string>",
"origin_type": "<string>",
"meta_conversation_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}{
"error": {
"type": "invalid_request_error",
"message": "The phone number \"+1abc\" is not in E.164 format.",
"code": "invalid_phone_number",
"doc_url": "https://docs.buildwithchirp.com/api_reference/error-codes#invalid_phone_number",
"param": "from",
"provider": {
"source": "meta",
"code": 123,
"message": "<string>",
"fbtrace_id": "<string>",
"health_status": {
"entities": [
{
"id": "<string>",
"can_send_message": "AVAILABLE",
"errors": [
{
"error_code": 123,
"error_description": "<string>",
"possible_solution": "<string>"
}
]
}
]
}
},
"additional_info": [
"<string>"
]
}
}Billing
Get billing record
Get a single billing record with provider-specific details
GET
/
v1
/
organization
/
billing
/
records
/
{id}
cURL
Authorizations
Admin API key (format: sk_admin_*) for organization-level operations
Path Parameters
Example:
"br_abc123"
Response
Billing record with provider details
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I